
# The usage file allows to check on usage estimates, get cost estimates, and adjust as you go. This allows "What-if" analysis on costs with day-to-day infrastructure activities.
version: 0.1
resource_usage:
    aws_instance.web_app:
        operating_system: linux # Override the operating system of the instance, can be linux, windows, suse, rhel.
        reserved_instance_type: standard # Offering class for Reserved Instances, can be convertible, standard.
        reserved_instance_term: 1_year # Term for Reserved Instances, can be 1_year, 3_year.
        reserved_instance_payment_option: all_upfront # Payment option for Reserved Instances, can be no_upfront, partial_upfront, all_upfront.
        # Can be used with T2 / T3 & T4 Instance types. T2 requires credit_specification to be unlimited.
        monthly_cpu_credit_hrs: 350 # Number of hours in the month where the instance is expected to burst.
        vcpu_count: 2 # Number of the vCPUs
